---
lang: en
title: 'API docs: context.contextview.resolve'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/context
permalink: /doc/en/lb4/apidocs.context.contextview.resolve.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [ContextView](./context.contextview.md) &gt; [resolve](./context.contextview.resolve.md)

## ContextView.resolve() method

Resolve values for the matching bindings

<b>Signature:</b>

```typescript
resolve(session?: ResolutionOptionsOrSession): ValueOrPromise<T[]>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  session | [ResolutionOptionsOrSession](./context.resolutionoptionsorsession.md) | <i>(Optional)</i> Resolution session |

<b>Returns:</b>

[ValueOrPromise](./context.valueorpromise.md)<!-- -->&lt;T\[\]&gt;


